from obspy.taup import TauPyModel

model = TauPyModel(model='iasp91')
# 500 is from 0 to 700 km
arrivals = model.get_ray_paths(500, 45, phase_list=['p','s','P','S'])
arrivals.plot_rays(plot_type='spherical', phase_list=['p','s','P', 'S'],
                   legend=True)